#include <hidef.h>
#include "derivative.h"
#include "counter.h"
void count();
unsigned char random_seed = 0x10;
unsigned char game_mode = 0;
void set_timer();
void game_countdown_sequence();
void count() { 
  PTADD = 12;
  game_mode = 0;
  
  
  for (;;) {
  
      PTAD = PNUMBER(0);  
      /*wait for input*/
      if ((PTAD & INPUT_MASK) == INPUT_MASK) {
        game_mode = 1;
        PTAD = PNUMBER(1);
        /*WAIT TILL EVERYTHING TURNED OFF*/
        while ((PTAD & INPUT_MASK) != 0) ;
        game_countdown_sequence();
        counting_init();
        set_timer();
      }
      
      random_seed++;
      /*inner game mode*/
      while(game_mode != 0) {
        
        if (TPMSC_TOF != 0) {  
          counting_loop();
          set_timer();
        }
      }
      
      
  }
}
/*count down 3-2-1*/
void game_countdown_sequence() {
    PTAD = PNUMBER(3);
    delay_25s();
    delay_25s();
    PTAD = PNUMBER(2);
    delay_25s();
    delay_25s();
    PTAD = PNUMBER(1);
    delay_25s();
    delay_25s();
}
void set_timer() {
/*
  TPMSC_TOF = 0;
  TPMSC_TOIE = 0;
  TPMSC_PS = 4; (prescale 32)
  TPMSC_CLKSx = 1;*/
  TPMSC = 12;
  TPMMODL = 234;
  TPMMODH = 0;
}
/*PS2:PS1:PS0 TPM Clock Source Divided-By
0:0:0 1
0:0:1 2
0:1:0 4
0:1:1 8
1:0:0 16
1:0:1 32
1:1:0 64
1:1:1 128*/